aboutsummaryrefslogtreecommitdiffstats
path: root/main/acf-freeswitch-vmail/acf-freeswitch-vmail.post-upgrade
diff options
context:
space:
mode:
Diffstat (limited to 'main/acf-freeswitch-vmail/acf-freeswitch-vmail.post-upgrade')
-rw-r--r--main/acf-freeswitch-vmail/acf-freeswitch-vmail.post-upgrade14
1 files changed, 14 insertions, 0 deletions
diff --git a/main/acf-freeswitch-vmail/acf-freeswitch-vmail.post-upgrade b/main/acf-freeswitch-vmail/acf-freeswitch-vmail.post-upgrade
new file mode 100644
index 0000000000..3b0ff119c8
--- /dev/null
+++ b/main/acf-freeswitch-vmail/acf-freeswitch-vmail.post-upgrade
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+new=$1
+old=$2
+
+# if current is not older than 0.0.11 we exit.
+if ! [ "$(apk version -t $old 0.0.11)" = "<" ]; then
+ exit 0
+fi
+
+sqlite3 /var/lib/freeswitch/db/voicemail_default.db "UPDATE voicemail_params SET descr='Passwords must be all numbers and at least three digits' WHERE name='vm-password'"
+
+exit 0
+